using System;

namespace kvadrat_takm
{
    class Program
    {
        static void Main(string[] args)
        {
            int a, b, c, d;
            string[] s = Console.ReadLine().Split();
             a = int.Parse(s[0]);
             b = int.Parse(s[1]);
            string[] r = Console.ReadLine().Split();
             c= int.Parse(r[0]);
             d= int.Parse(r[1]);
            if (a == c || b == d)
                Console.WriteLine(2);
            else
                Console.WriteLine(1);
        }
    }
}